package com.javacodegeeks.examples;

import java.net.Inet4Address;
import java.net.UnknownHostException;

public class SimpleInet4AddressExample {

	public static void main(String[] args) {
		String url = "javacodegeeks.com";
		
		try {
			Inet4Address address = (Inet4Address) Inet4Address.getByName(url);
			
			System.out.println("IP address:"+address.getHostAddress());
			System.out.println("Cannonical host name: "+address.getCanonicalHostName());
			System.out.println("Is Local Link? "+address.isLinkLocalAddress());
			
			System.out.println("Is this address equal to local host? "+address.equals(Inet4Address.getLocalHost()));
			
		} catch (UnknownHostException e) {
			e.printStackTrace();
		}
		
	}

}
